Debian Bug report logs - #665784
whiptail fails to report escape using --yesno when <No> is currently highlighted

version graph

Package: whiptail; Maintainer for whiptail is Alastair McKinstry <mckinstry@debian.org>; Source for whiptail is src:newt.

Reported by: Steve Campbell <SCampbell@SCampbell.net>

Date: Mon, 26 Mar 2012 04:45:02 UTC

Severity: serious

Tags: d-i

Found in version newt/0.52.11-1

Fixed in version newt/0.52.14-10

Done: Alastair McKinstry <mckinstry@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#665784; Package whiptail. (Mon, 26 Mar 2012 04:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Campbell <SCampbell@SCampbell.net>:
New Bug report received and forwarded. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 26 Mar 2012 04:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Campbell <SCampbell@SCampbell.net>
To: submit@bugs.debian.org
Subject: whiptail fails to report escape using --yesno when <No> is currently highlighted
Date: Mon, 26 Mar 2012 00:34:42 -0400
Package: whiptail
Version: 0.52.11-1
Justification: Policy 3.9.1
Severity: serious
Tags: d-i

Using this test command:
        whiptail --yesno -- 'Try escaping with yes and with no' 9 25; 
echo $?

If you highlight yes and press escape a -1 (255) is returned
If you highlight no and press escape a 1 is erroneously returned
The manual page for whiptail states that pressing esc always returns -1 (see
Diagnostics section)

This program is being used by debconf for package installation and this bug
causes installation scripts to erroneously believe the user has selected no
when, in fact, the user has selected to back out of the menu.  Depending 
on the
package being installed this could cause minor inconvience up to a serous
issue.

Debian policy manual section 3.9.1 requires adherence to the
debconf_specification manual.  Any install script that happens to invoke
whiptail --yesno (as used by a 'boolean' template entry) can misdirect 
an installation procedure.
Replacing whiptail with dialog is the only current workaround I can find.






Reply sent to Alastair McKinstry <mckinstry@debian.org>:
You have taken responsibility. (Wed, 16 May 2012 12:24:03 GMT) Full text and rfc822 format available.

Notification sent to Steve Campbell <SCampbell@SCampbell.net>:
Bug acknowledged by developer. (Wed, 16 May 2012 12:24:30 GMT) Full text and rfc822 format available.

Message #10 received at 665784-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 665784-close@bugs.debian.org
Subject: Bug#665784: fixed in newt 0.52.14-10
Date: Wed, 16 May 2012 12:20:31 +0000
Source: newt
Source-Version: 0.52.14-10

We believe that the bug you reported is fixed in the latest version of
newt, which is due to be installed in the Debian FTP archive:

libnewt-dev_0.52.14-10_i386.deb
  to main/n/newt/libnewt-dev_0.52.14-10_i386.deb
libnewt-pic_0.52.14-10_i386.deb
  to main/n/newt/libnewt-pic_0.52.14-10_i386.deb
libnewt0.52_0.52.14-10_i386.deb
  to main/n/newt/libnewt0.52_0.52.14-10_i386.deb
newt-tcl_0.52.14-10_i386.deb
  to main/n/newt/newt-tcl_0.52.14-10_i386.deb
newt_0.52.14-10.debian.tar.gz
  to main/n/newt/newt_0.52.14-10.debian.tar.gz
newt_0.52.14-10.dsc
  to main/n/newt/newt_0.52.14-10.dsc
python-newt-dbg_0.52.14-10_i386.deb
  to main/n/newt/python-newt-dbg_0.52.14-10_i386.deb
python-newt_0.52.14-10_i386.deb
  to main/n/newt/python-newt_0.52.14-10_i386.deb
whiptail_0.52.14-10_i386.deb
  to main/n/newt/whiptail_0.52.14-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665784@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@debian.org> (supplier of updated newt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 16 May 2012 12:30:04 +0100
Source: newt
Binary: libnewt-dev libnewt-pic newt-tcl python-newt python-newt-dbg libnewt0.52 whiptail
Architecture: source i386
Version: 0.52.14-10
Distribution: unstable
Urgency: low
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Changed-By: Alastair McKinstry <mckinstry@debian.org>
Description: 
 libnewt-dev - Developer's toolkit for newt windowing library
 libnewt-pic - Not Erik's Windowing Toolkit, shared library subset kit
 libnewt0.52 - Not Erik's Windowing Toolkit - text mode windowing with slang
 newt-tcl   - NEWT module for Tcl
 python-newt - NEWT module for Python
 python-newt-dbg - NEWT module for Python (debug extension)
 whiptail   - Displays user-friendly dialog boxes from shell scripts
Closes: 665784
Changes: 
 newt (0.52.14-10) unstable; urgency=low
 .
   * Fix: whiptail gave incorrect result for ESC pressed when NO selected.
     Closes: #665784.
Checksums-Sha1: 
 0ef14fe4dfb7c6f388374b515759b1f272a2c259 2195 newt_0.52.14-10.dsc
 4bd2f3eb24a4eae39c4983bb445e693645e8b8b3 39754 newt_0.52.14-10.debian.tar.gz
 202d7b6a9057e2f605856ae920a1f8bc2e0f6b2d 89034 libnewt-dev_0.52.14-10_i386.deb
 e414a401ce72799d0d8adb2f9f220b26e0441ad3 18704 libnewt-pic_0.52.14-10_i386.deb
 1b216cba64ca77d6e7a86c4062649f712c815bbb 26836 newt-tcl_0.52.14-10_i386.deb
 03a443dfb2e611d1b60efe2659dc78c040fb656f 119772 python-newt_0.52.14-10_i386.deb
 74f910f80f3046b2cdbc15fd53e09db02adfa877 41650 python-newt-dbg_0.52.14-10_i386.deb
 c7d0605b967c91557bd2fda1559a108003c07c62 71816 libnewt0.52_0.52.14-10_i386.deb
 14aac6fbd2844412f93d6546e40ca45aa912878d 33078 whiptail_0.52.14-10_i386.deb
Checksums-Sha256: 
 6ab141a139a48ef9369b9b8b5673af84770353286500920d7de713445ae47030 2195 newt_0.52.14-10.dsc
 2ef782b1861b0bacd2cdd506d22342073fc535df97337a881770544ca58a09d3 39754 newt_0.52.14-10.debian.tar.gz
 fe2766f2ce9b3fd51aaa35ea71e4a7c2180067e170b4ac7191f90939e031983f 89034 libnewt-dev_0.52.14-10_i386.deb
 994063bf424553e6270293e0530ddea29e0cedad0d5f7cda8b7fcfb7c9589a80 18704 libnewt-pic_0.52.14-10_i386.deb
 7f0fd872ddbac1842c2d889c48b218f00b8d580d2e96731c67f62d74979942c4 26836 newt-tcl_0.52.14-10_i386.deb
 a04568165ef38123184a468560b21610cd64ce94824418814c5a171d63394e83 119772 python-newt_0.52.14-10_i386.deb
 4f69fea2b3db143207724c2e8b66c9ecf1bac1ef6393f965c451e9d46cfab6fa 41650 python-newt-dbg_0.52.14-10_i386.deb
 20f7486c2068d8fe64ec6c8dc571b6f86ea77bdeb6c41fa6fb11afec2b9c2429 71816 libnewt0.52_0.52.14-10_i386.deb
 541ef50b43b6d0f00802539776c8a9e65bf7f550b7478cfc5efdee64fc6d102e 33078 whiptail_0.52.14-10_i386.deb
Files: 
 eec73bf8c5631ecc7f7e56d80e77783e 2195 devel optional newt_0.52.14-10.dsc
 fb92b2325cf7eecd8f380c4d7f24ae2a 39754 devel optional newt_0.52.14-10.debian.tar.gz
 c9c79fc6f307484f50b7cce69cd7c909 89034 libdevel optional libnewt-dev_0.52.14-10_i386.deb
 e05cb21d9fe4a0735c80991123803628 18704 libdevel extra libnewt-pic_0.52.14-10_i386.deb
 273764d4787ba41ae3d469cb833c9d68 26836 interpreters extra newt-tcl_0.52.14-10_i386.deb
 30c65a5e01ca865e72fbd4589800318b 119772 python optional python-newt_0.52.14-10_i386.deb
 8654db5542e14403ac702f59954f7c60 41650 debug extra python-newt-dbg_0.52.14-10_i386.deb
 9e651cb36ea7e1c8488673c0db781e1d 71816 libs important libnewt0.52_0.52.14-10_i386.deb
 fadf81947d32b692062ebb10b73c0b7f 33078 utils important whiptail_0.52.14-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPs5E0AAoJEN9LdrZRJ3QsfjkP/i76nS3D2NPDA3Gdx64hyjwZ
EpJkIK81JYFI/4fWOGkk6JGnUsLIkpc20vPvb33AF0RgWt6KZ7Ok8C9d+dVdU9Du
s/R8fNPmjatPQJSLXvpQJiUes9a6QaAov2PvUbXpHO9DA1yiKTKC2ZKo0diRhEqS
gt6fJXs2mJ6clBLG/N1rD8MYpTuPwaEV1BQgKkp5UnoBXqwXrop6l7vbiKE1lvz2
gycacm69tQHPYhV1lpNbhrpwXcxrODyCdWpxbH+PCejQFQWcMCkUGZYuBRkSFLRa
ghSUbQvW21jS/syecxtwLDTl1u0qJs4WcdpEDlapG6WytFNYmJ/7dya7J8hSZZDd
SEEySbvvCrq7ic9VfUvxkYrTQVr8exaedqYQVf82Hlxh/TKTdLUAMMaIdyDK+xjQ
wI1L367OUMcdl8XDCmdkBivx0wrbngONdStQ3cfgfz9QaTTF8jBPoDKvMW0TV6Et
uxD0wO/zgRjMSRc6CVl7SPdFDZYi/jw+NjGcjOh8me1UE69FtJFOObffnlAy+etR
N5MtICBNzUvySAK1C3OnCXvdJ+L/pvciEHw3LEKByrS5YLxMxdzdKno5p1FZ/bvg
/1o5JuhV0gqUr7UrAHpQogyLR/AXemEJtCOL/526j3xNnvbdQS8RvM445KEh8Z2z
QkFX35mYdZLuT54m+DDQ
=Q7rl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:23:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:57:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.